VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ThisWorkbook"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

Private Function ThisWorkbookPath() As String
    ThisWorkbookPath = ThisWorkbook.FullName
    ThisWorkbookPath = Left$(ThisWorkbookPath, InStrRev(ThisWorkbookPath, "\"))
End Function

Private Sub Workbook_Open()
    Dim JsonBag As JsonBag
    Dim SubBag As JsonBag
    Dim F As Integer
    Dim Col As Long
    Dim Row As Long
    
    Set JsonBag = New JsonBag
    F = FreeFile(0)
    Open ThisWorkbookPath() & "Sample-JSON.txt" For Input As #F
    JsonBag.JSON = Input$(LOF(F), #F)
    Close #F
    
    Set SubBag = JsonBag("Headers")
    For Col = 1 To SubBag.Count
        'Row 1 for Headers:
        Sheet1.Cells(1, Col) = SubBag(Col)
    Next
    Set SubBag = JsonBag("Values")
    For Row = 1 To SubBag.Count
        With SubBag(Row)
            For Col = 1 To .Count
                'Row + 1 for Values:
                Sheet1.Cells(Row + 1, Col) = .Item(Col)
            Next
        End With
    Next
End Sub

